com.ihr.xbrl.om

## Class XBRLAttribute

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.om.XBRLAttribute

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, XBRLRelationshipPoint, Thinable, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class XBRLAttribute
      extends XMLFragment
      implements java.lang.Cloneable

  This is an XML Attribute used in relation with an XMLFragment.
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLAttribute(DTSContainer dts, org.jdom.Attribute jdomAttribute)` Creates an attribute node. it will not be linked to its parent node.
    `XBRLAttribute(DTSContainer dts, javax.xml.namespace.QName nodeName, net.sf.saxon.value.AtomicValue value)` Creates an attribute node.
    `XBRLAttribute(DTSContainer dts, net.sf.saxon.s9api.XdmNode node)` Creates an XBRL attribute.
    `XBRLAttribute(XBRLAttribute other)` Creates a new XBRLAttribute that is a clone of this attribute The parent of the new attribute will be set to null.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXMLChild(XMLHasParent newChild)` Adds the xml child.
    `void` | `clear()` Frees-up used memory This method should not be invoqued on live objects in the DTS.
    `XBRLAttribute` | `clone()`
    `boolean` | `equals(java.lang.Object other)` Compare two attributes for equality Parent is not considered in equality just the node name and the values.
    `org.jdom.Attribute` | `generateAttributeNode(org.jdom.Element el)` The element el in which the namespace will be defined for QName type attributes.
    `java.lang.String` | `getFriendlyName()` Returns a string description that represents the element content in a form that users can understand.
    `int` | `hashCode()`
    `void` | `removeXMLChild(XMLHasParent child)` Removes the xml child.

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addChild, addFromRelationship, addNamespace, addNamespace, addToRelationship, changeBase, checkBase, clone, delAttribute, delAttribute, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNode, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElements, getElementsHashCode, getFragment, getFriendlyName, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getParent, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, resetElements, resetHash, resolve_equal2, resolveHRef, resolveHRef, s_equal2, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setId, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setValue, setVariablesDefined, size, thin, toString, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLAttribute

          public XBRLAttribute(DTSContainer dts,
                       net.sf.saxon.s9api.XdmNode node)

      Creates an XBRL attribute. The attribute is not associated to its parent object.
      Parameters:
        `dts` - DTSContainer
        `node` - NodeInfo

    - #### XBRLAttribute

          public XBRLAttribute(XBRLAttribute other)

      Creates a new XBRLAttribute that is a clone of this attribute The parent of the new attribute will be set to null.
      Parameters:
        `other` - the other

    - #### XBRLAttribute

          public XBRLAttribute(DTSContainer dts,
                       javax.xml.namespace.QName nodeName,
                       net.sf.saxon.value.AtomicValue value)

      Creates an attribute node. It will not be linked to its parent node.
      Parameters:
        `dts` - DTSContainer
        `nodeName` - QName
        `value` - Value

    - #### XBRLAttribute

          public XBRLAttribute(DTSContainer dts,
                       org.jdom.Attribute jdomAttribute)

      Creates an attribute node. it will not be linked to its parent node.
      Parameters:
        `dts` - DTSContainer
        `jdomAttribute` - Attribute

  - ### Method Detail

    - #### clear

          public void clear()
                     throws java.lang.Throwable

      Description copied from class: `XMLFragment`
      Frees-up used memory

      This method should not be invoqued on live objects in the DTS. It is automatically invoqued by the API when an object is no longer used and referenced by other objects. It is save not to call it directly.

      Overrides:
        `clear` in class `XMLFragment`
      Throws:
        `java.lang.Throwable` - the throwable

    - #### addXMLChild

          public void addXMLChild(XMLHasParent newChild)

      Description copied from interface: `XMLHasParent`
      Adds the xml child.
      Specified by:
        `addXMLChild` in interface `XMLHasParent`
      Overrides:
        `addXMLChild` in class `XMLFragment`
      Parameters:
        `newChild` - the child

    - #### removeXMLChild

          public void removeXMLChild(XMLHasParent child)

      Description copied from interface: `XMLHasParent`
      Removes the xml child.
      Specified by:
        `removeXMLChild` in interface `XMLHasParent`
      Overrides:
        `removeXMLChild` in class `XMLFragment`
      Parameters:
        `child` - the child

    - #### clone

          public XBRLAttribute clone()

      Overrides:
        `clone` in class `XMLFragment`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `XMLFragment`

    - #### generateAttributeNode

          public org.jdom.Attribute generateAttributeNode(org.jdom.Element el)

      The element el in which the namespace will be defined for QName type attributes.
      Parameters:
        `el` - the el
      Returns:
        org.jdom.Attribute

    - #### equals

          public boolean equals(java.lang.Object other)

      Compare two attributes for equality Parent is not considered in equality just the node name and the values.
      Overrides:
        `equals` in class `XMLFragment`
      Parameters:
        `other` - the other
      Returns:
        true, if successful

    - #### getFriendlyName

          public java.lang.String getFriendlyName()

      Description copied from class: `XMLFragment`
      Returns a string description that represents the element content in a form that users can understand. This method may be overridden by parent classes.

      Remarks, this method may return very long names not suitable for user interface

      Overrides:
        `getFriendlyName` in class `XMLFragment`
      Returns:
        Non empty String. Internationalization is enabled